import dynamix_sdk.base as _base


class CloudapiVinsStaticRouteAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiVinsStaticRouteAddProtocol(_base.BasePostAPIFunctionProtocol):
    def static_route_add(
        self,
        *,
        vins_id: int,
        dst_net_ip: str,
        dst_net_mask: str,
        gateway: str,
    ) -> CloudapiVinsStaticRouteAddResultBool:
        ...
